
import java.io.IOException;

import sdljava.SDLException;
import sdljava.ttf.SDLTTF;
import sdljava.video.SDLRect;
import sdljava.video.SDLSurface;


public class Window {

	Text text;
	CFrame framewindow ;
	CSprite spritewindow;
	boolean confirm;
	
	sdljava.video.SDLRect rectangle;
	
	Window () throws SDLException, IOException{
		
		SDLTTF.init();
	    text = new Text();
	    text.init("fonts/FreeSerif.ttf");

		framewindow = new CFrame();
		spritewindow = new CSprite();
		
		framewindow.load("sprites/window.png");
		spritewindow.addframe(framewindow);
		
		confirm = false;
		
		rectangle = new SDLRect();
	}
	
	void draw (SDLSurface screen) throws SDLException{

		spritewindow.setx(50);
		spritewindow.sety(50);
		spritewindow.draw(screen);
		
		//text.drawtext("hola", screen, 100, 60);
		screen.flip(); //Pintamos la pantalla
		//screen.flip(); //Pintamos la pantalla
	}
	void draw (SDLSurface screen,int x, int y) throws SDLException{

		spritewindow.setx(x);
		spritewindow.sety(y);
		spritewindow.draw(screen);
		
		//text.drawtext("hola", screen, 100, 60);
		screen.flip(); //Pintamos la pantalla
		//screen.flip(); //Pintamos la pantalla
	}
	
}
